Subject: Re: bug#48629: 28.0.50; GUI emacsclient frames stop accepting keyboard input around recv

From: "Basil L. Contovounesios" <[email-masked]>
Date: Mon, 24 May 2021 19:38:45 +0100

Andreas Schwab <[email-masked]> writes:

> On Mai 24 2021, Basil L. Contovounesios wrote:
>
>> Eli Zaretskii <[email-masked]> writes:
>>
>>> or you are asking why it becomes stuck in recv for prolonged times?
>>
>> Not just prolonged, but indefinite.
>
> But emacsclient is just waiting for the answer from Emacs, so it is
> behaving as expected.

Right, I just attached GDB to a non-frozen emacsclient process, and it's
exactly the same story as in the OP.  Sorry for the misleading report.

> If you want emacsclient not to wait for it, use --no-wait.

Sure, but that doesn't address...

>> I have yet to find a way to restore these graphical sessions to
>> normal operation,
>
> That must be something else, not related to emacsclient.

...whatever elusive cause is making my GUI emacsclient frames stop
accepting keyboard input.  Perhaps then the issue lies in the Emacs
keyboard input code, and I'd be able to reproduce the hang even in
non-daemon Emacs sessions?

Any ideas on how to debug that next time it happens?

Thanks,

-- 
Basil